/*
 * Color_Code.h
 *
 *  Created on: 2024/07/30
 *      Author: egaono-electronics
 */

#ifndef COLOR_CODE_H_
#define COLOR_CODE_H_

#include "Dev_Conf.h"

#include def_Header_HAL



//----------------------------------------------------------
// 色選択
//----------------------------------------------------------
// 000 : Black
// 001 : Blue
// 010 : Green
// 011 : Cyan
// 100 : Red
// 101 : Magenta
// 110 : Yellow
// 111 : White
//----------------------------------------------------------
#define def_Color_Black    0  // Black
#define def_Color_Blue     1  // Blue
#define def_Color_Green    2  // Green
#define def_Color_Cyan     3  // Cyan : Green + Blue
#define def_Color_Red      4  // Red
#define def_Color_Magenta  5  // Magenta : Red + Blue
#define def_Color_Yellow   6  // Yellow : Red + Green
#define def_Color_White    7  // White : Red + Green + Blue
//----------------------------------------------------------



//--------------------------------------------------------------
// Color Codeの定義
//--------------------------------------------------------------
#define def_Code_Black                 0x00000000  // 黒
#define def_Code_Dimgray               0x00E6E6FA
#define def_Code_Gray                  0x00808080  // 灰
#define def_Code_Darkgray              0x00A9A9A9
#define def_Code_Silver                0x00C0C0C0
#define def_Code_Lightgray             0x00D3D3D3
#define def_Code_Gainsboro             0x00DCDCDC
#define def_Code_Whitesmoke            0x00F5F5F5
#define def_Code_White                 0x00FFFFFF  // 白
#define def_Code_Snow                  0x00FFFAFA
#define def_Code_Ghostwhite            0x00F8F8FF
#define def_Code_Floralwhite           0x00FFFAF0
#define def_Code_Linen                 0x00FAF0E6
#define def_Code_Antiquewhite          0x00FAEBD7
#define def_Code_Papayawhip            0x00FFEFD5
#define def_Code_Blanchedalmond        0x00FFEBCD
#define def_Code_Bisque                0x00FFE4C4
#define def_Code_Moccasin              0x00FFE4B5
#define def_Code_Navajowhite           0x00FFDEAD
#define def_Code_Peachpuff             0x00FFDAB9
#define def_Code_Mistyrose             0x00FFE4E1
#define def_Code_Lavenderblush         0x00FFF0F5
#define def_Code_Seashell              0x00FFF5EE
#define def_Code_Oldlace               0x00FDF5E6
#define def_Code_Ivory                 0x00FFFFF0
#define def_Code_Honeydew              0x00F0FFF0
#define def_Code_Mintcream             0x00F5FFFA
#define def_Code_Azure                 0x00F0FFFF
#define def_Code_Aliceblue             0x00F0F8FF
#define def_Code_Lavender              0x00E6E6FA
#define def_Code_Lightsteelblue        0x00B0C4DE
#define def_Code_Lightslategray        0x00778899
#define def_Code_Slategray             0x00708090
#define def_Code_Steelblue             0x004682B4
#define def_Code_Royalblue             0x004169E1
#define def_Code_Midnightblue          0x00191970
#define def_Code_Navy                  0x00000080
#define def_Code_Darkblue              0x0000008B
#define def_Code_Mediumblue            0x000000CD
#define def_Code_Blue                  0x000000FF  // 青
#define def_Code_Dodgerblue            0x001E90FF
#define def_Code_Cornflowerblue        0x006495ED
#define def_Code_Deepskyblue           0x0000BFFF
#define def_Code_Lightskyblue          0x0087CEFA
#define def_Code_Skyblue               0x0087CEEB
#define def_Code_Lightblue             0x00ADD8E6
#define def_Code_Powderblue            0x00B0E0E6
#define def_Code_Paleturquoise         0x00AFEEEE
#define def_Code_LightCyan             0x00E0FFFF
#define def_Code_Cyan                  0x0000FFFF
                                            // シアン(cyan)
#define def_Code_Aqua                  0x0000FFFF
#define def_Code_Turquoise             0x0040E0D0
#define def_Code_Mediumturquoise       0x0048D1CC
#define def_Code_Darkturquoise         0x0000CED1
#define def_Code_Lightseagreen         0x0020B2AA
#define def_Code_Cadetblue             0x005F9EA0
#define def_Code_Darkcyan              0x00008B8B
#define def_Code_Teal                  0x00008080
#define def_Code_Darkslategray         0x002F4F4F
#define def_Code_Darkgreen             0x00006400
#define def_Code_Green                 0x00008000  // 緑
#define def_Code_Forestgreen           0x00228B22
#define def_Code_Seagreen              0x002E8B57
#define def_Code_Mediumseagreen        0x003CB371
#define def_Code_Mediumaquamarine      0x0066CDAA
#define def_Code_Darkseagreen          0x008FBC8F
#define def_Code_Aquamarine            0x007FFFD4
#define def_Code_Palegreen             0x0098FB98
#define def_Code_Lightgreen            0x0090EE90
#define def_Code_Springgreen           0x0000FF7F
#define def_Code_Mediumspringgreen     0x0000FA9A
#define def_Code_Lawngreen             0x007CFC00
#define def_Code_Chartreuse            0x007FFF00
#define def_Code_GreenYellow           0x00ADFF2F
#define def_Code_Lime                  0x0000FF00
#define def_Code_Limegreen             0x0032CD32
#define def_Code_Yellowgreen           0x009ACD32  // 黄緑
#define def_Code_Darkolivegreen        0x00556B2F
#define def_Code_Olivedrab             0x006B8E23
#define def_Code_Olive                 0x00808000
#define def_Code_Darkkhaki             0x00BDB76B
#define def_Code_Palegoldenrod         0x00EEE8AA
#define def_Code_Cornsilk              0x00FFF8DC
#define def_Code_Beige                 0x00F5F5DC
#define def_Code_Lightyellow           0x00FFFFE0
#define def_Code_Lightgoldenrodyellow  0x00FAFAD2
#define def_Code_Lemonchiffon          0x00FFFACD
#define def_Code_Wheat                 0x00F5DEB3
#define def_Code_Burlywood             0x00DEB887
#define def_Code_Tan                   0x00D2B48C
#define def_Code_Khaki                 0x00F0E68C
#define def_Code_Yellow                0x00FFFF00  // 黄
#define def_Code_Gold                  0x00FFD700
#define def_Code_Orange                0x00FFA500  // 橙
#define def_Code_Sandybrown            0x00F4A460
#define def_Code_Darkorange            0x00FF8C00
#define def_Code_Goldenrod             0x00DAA520
#define def_Code_Peru                  0x00CD853F
#define def_Code_Darkgoldenrod         0x00B8860B
#define def_Code_Chocolate             0x00D2691E
#define def_Code_Sienna                0x00A0522D
#define def_Code_Sepia                 0x00483C2C
#define def_Code_Saddlebrown           0x008B4513
#define def_Code_Maroon                0x00800000
#define def_Code_Darkred               0x008B0000
#define def_Code_Brown                 0x00A52A2A  // 茶
#define def_Code_Firebrick             0x00B22222
#define def_Code_Indianred             0x00CD5C5C
#define def_Code_Rosybrown             0x00BC8F8F
#define def_Code_Darksalmon            0x00E9967A
#define def_Code_Lightcoral            0x00F08080
#define def_Code_Salmon                0x00FA8072
#define def_Code_Lightsalmon           0x00FFA07A
#define def_Code_Coral                 0x00FF7F50
#define def_Code_Tomato                0x00FF6347
#define def_Code_Orangered             0x00FF4500
#define def_Code_Red                   0x00FF0000  // 赤
#define def_Code_Crimson               0x00DC143C
#define def_Code_Mediumvioletred       0x00C71585
#define def_Code_Deeppink              0x00FF1493
#define def_Code_Hotpink               0x00FF69B4
#define def_Code_Palevioletred         0x00DB7093
#define def_Code_Pink                  0x00FFC0CB  // 桃
#define def_Code_Lightpink             0x00FFB6C1
#define def_Code_Thistle               0x00D8BFD8
#define def_Code_Magenta               0x00FF00FF
                                        // マゼンタ(magenta)
#define def_Code_Fuchsia               0x00FF00FF
#define def_Code_Violet                0x00EE82EE  // すみれ
#define def_Code_Plum                  0x00DDA0DD
#define def_Code_Orchid                0x00DA70D6
#define def_Code_Mediumorchid          0x00BA55D3
#define def_Code_Darkorchid            0x009932CC
#define def_Code_Darkviolet            0x009400D3
#define def_Code_Darkmagenta           0x008B008B
#define def_Code_Purple                0x00800080  // 紫
#define def_Code_Indigo                0x004B0082  // 藍
#define def_Code_Darkslateblue         0x00483D8B
#define def_Code_Blueviolet            0x008A2BE2
#define def_Code_Mediumpurple          0x009370DB
#define def_Code_Slateblue             0x006A5ACD
#define def_Code_Mediumslateblue       0x007B68EE
//--------------------------------------------------------------


#endif /* COLOR_CODE_H_ */
